com.smartgwt.client.types

## Enum ValueItemType

- java.lang.Object
- - java.lang.Enum<ValueItemType>
  - - com.smartgwt.client.types.ValueItemType

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<ValueItemType>

      public enum ValueItemType
      extends java.lang.Enum<ValueItemType>
      implements ValueEnum

  Enum used within the `FilterBuilder` class to indicate the role of a particular value-field form item within a filter clause.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `END` Indicates this item will generate the higher-bound value (or "end") when generating criteria with Operator.valueType `"valueRange"`.
    `NAME` This is the single form item that will populate the generated `Criterion.value` for Operator.valueType of `"fieldName"`.
    `START` Indicates this item will generate the lower-bound value (or "start") when generating criteria with Operator.valueType `"valueRange"`.
    `VALUE` This is the single form item that will populate the generated `Criterion.value` for this clause.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static ValueItemType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ValueItemType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### VALUE

          public static final ValueItemType VALUE

      This is the single form item that will populate the generated `Criterion.value` for this clause. This applies for operators with Operator.valueType of `"fieldType"` or `"custom"`.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "value".

    - #### NAME

          public static final ValueItemType NAME

      This is the single form item that will populate the generated `Criterion.value` for Operator.valueType of `"fieldName"`.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "name".

    - #### START

          public static final ValueItemType START

      Indicates this item will generate the lower-bound value (or "start") when generating criteria with Operator.valueType `"valueRange"`.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "start".

    - #### END

          public static final ValueItemType END

      Indicates this item will generate the higher-bound value (or "end") when generating criteria with Operator.valueType `"valueRange"`.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "end".

  - ### Method Detail

    - #### values

          public static ValueItemType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ValueItemType c : ValueItemType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ValueItemType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`